Get Thank You by id
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/thank-yous/{thankYouId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/thank-yous/{thankYouId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/thank-yous/{thankYouId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ty_EdJvIXu3SEiXe_QkPavHSA",
"mediaUrl": "https://fourthwall.com/thankyou/ty_EdJvIXu3SEiXe_QkPavHSA",
"contribution": {
"id": "don_Kpcjx4HIQ1e4bTIOjX9CsA",
"shopId": "sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb",
"supporter": {
"email": "supporter@fourthwall.com",
"username": "Johnny123",
"message": "Sample message"
},
"type": "<string>"
}
}Thank Yous
Get Thank You
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Get Thank You details
GET
/
open-api
/
v1.0
/
thank-yous
/
{thankYouId}
Get Thank You by id
OAuth scope:
thankyou_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
⌘I